import logo from './logo.svg';
import './App.css';
import {Routes,Route, Navigate} from 'react-router-dom'
import { adminRoutes } from './routers/routers';
import Frame from './components/frame/frame';
import {isLogined } from './utils/auth'
import Login from './pages/login/login';

//权限判断也放在这里
function App() {
  return (isLogined()?
    <Frame>
        <Routes>
          {adminRoutes.map(route => {
            // return(<Route key={route.path} {...route}/>)
            return(<Route key={route.path} path={route.path} element={route.element}/>)
          })}
           <Route path='/' element={<Navigate to={'/admin/gis'}/>}/>
          <Route path='/*' element={<Navigate to={'/notfound'}/>}/>
        </Routes>
    </Frame>:
    <Routes>
      <Route path="/login" element={<Login />}/>
      <Route path='*' element={<Navigate to={'/login'}/>}/>
    </Routes>
  );
}

export default App;
