import React from "react";
import { Layout, Menu } from "antd";
import { useNavigate, useLocation } from "react-router-dom";
import './Sidebar.css'

const { Sider } = Layout;

function Sidebar({ items, basePath }) {
  const navigate = useNavigate();
  const location = useLocation();

  const selectedKey = location.pathname.replace(basePath, "");

  const menuItems = items.map((item) => ({
    key: item.path, // 这里的 key 是 item.path
    label:(<span>• {item.label}</span>) 

  }));

  return (
    <Sider
      width={260}
      style={{
        background: "#fff",
        borderRight: "1px solid #d9d9d9",
        boxShadow: "0 2px 4px rgba(0, 0, 0, 0.1)",
      }}
    >
      <Menu
        mode="inline"
        selectedKeys={[selectedKey]}
        style={{ height: "100%", borderRight: 0 }}
        onClick={(p) => navigate(`${basePath}${p.key}`)}
        items={menuItems}
        className="change-menu"
      />
    </Sider>
  );
}

export default Sidebar;
