import React from 'react';
import ReactDOM from 'react-dom/client';
import {HashRouter as Router,Route,Routes, Navigate} from "react-router-dom"
import './index.css';
import App from './App';
import reportWebVitals from './reportWebVitals';
import {adminRoutes, mainRoutes} from './routers/routers'

const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(
  <React.StrictMode>
    <Router>
      <Routes>
        <Route path='/admin/*' element=<App/>/>
        {
          mainRoutes.map(route => {
            return(<Route key={route.path} {...route}/>)
          })
        }
        <Route path='/' element={<Navigate to={'/admin/gis'}/>}/>
        <Route path='/*' element={<Navigate to={'/notfound'}/>}/>
      </Routes>
    </Router>
  </React.StrictMode>
);

reportWebVitals();
