import React from 'react'
import {Routes,Route,Navigate} from "react-router-dom"
import { adminRoutes } from '../../../routers/routers'
import Sidebar from '../../../components/Sidebar/Sidebar'
import { Layout } from 'antd'
import '../../../App.css'
import { Content } from 'antd/es/layout/layout'

function AdminFarm() {
  const adminFarmRoute = adminRoutes.find((route)=>route.path === '/adminfarm/*')
  const farmChild = adminFarmRoute.children
  return (
    <Layout style={{ minHeight: "100vh"}}>
      <Sidebar items={farmChild} basePath="/admin/adminfarm"/> 
      <Content           style={{
            padding: 24,
            margin: 0,
            minHeight: 280,
            background: "#fff",
          }}>
      <Routes>
        {farmChild.map((route)=>{
          return(<Route key={route.path} path={route.path} element={route.element}/>)
        })}
        <Route path='/*' element={<Navigate to='/admin/adminfarm/myfarm'/>}/>
      </Routes>
      </Content>
    </Layout>

  )
}

export default AdminFarm