import React from "react";
import Sidebar from "../../../components/Sidebar/Sidebar";
import { Layout } from "antd";
import { Outlet, Routes, Route,Navigate } from "react-router-dom";
import { adminRoutes } from "../../../routers/routers";
import '../../../App.css'

const { Content } = Layout;

function AdminGrower() {
  const growerRoute = adminRoutes.find(
    (route) => route.path === "/admingrower/*"
  );
  const growerChildren  = growerRoute.children;

  return (
    <Layout style={{ minHeight: "100vh",padding:"0px 0px"}}>
      {/* 将 children 传递给 Sidebar，生成侧边栏 */}
      <Sidebar items={growerChildren} basePath="/admin/admingrower" />
      <Layout style={{ padding: "0 0",height:'100vh'}}>
        <Content
          style={{
            padding: 24,
            margin: 0,
            minHeight: 280,
            background: "#fff",
          }}
        >
          <Routes>
            {growerChildren.map((route) => (
              <Route
                key={route.path}
                path={route.path}
                element={route.element}
              />
            ))}
            <Route path='/*' element={<Navigate to="/admin/admingrower/basicinformation"/>} />
          </Routes>
        </Content>
      </Layout>
    </Layout>

    // <h1>种植者管理11</h1>
  );
}

export default AdminGrower;
