import React from "react";
import { Navigate, Route, Routes } from "react-router-dom";
import { adminRoutes } from "../../../routers/routers";
import Sidebar from "../../../components/Sidebar/Sidebar";
import { Layout } from "antd";
import { Content } from "antd/es/layout/layout";

function AdminProduce() {
  const getProduce = adminRoutes.find(
    (route) => route.path === "/adminproduce/*"
  );
  const produceChildren = getProduce.children;

  return (
    <Layout style={{ minHeight: "100vh"}}>
      <Sidebar items={produceChildren} basePath={"/admin/adminproduce/"} />
      <Content
        style={{
          padding: 24,
          margin: 0,
          minHeight: 280,
          background: "#fff",
        }}
      >
        <Routes>
          {produceChildren.map((route) => (
            <Route key={route.path} path={route.path} element={route.element} />
          ))}
          <Route
            path="/*"
            element={<Navigate to="/admin/adminproduce/planning" />}
          />
        </Routes>
      </Content>
    </Layout>
  );
}

export default AdminProduce;
