import React from "react";
import { Route, Routes, useNavigate,useLocation,Navigate } from "react-router-dom";
import { adminRoutes } from "../../../routers/routers";
import Screen from "./screen/screen";
import Plotinquiry from "./plotinquiry/plotinquiry";
import Mapping from "./mapping/mapping";
import ProduceRecord from "./produceRecord/produceRecord";
import WeatherData from "./weatherData/weatherData";
import Satellite from "./satellite/satellite";
import { Layout, Menu } from "antd";

function Gis() {
  const navigate = useNavigate();
  const gisRoute = adminRoutes.find((route) => route.path === "/gis/*");
  const gisChildren = gisRoute?.children || [];
  const location = useLocation();

  return (
    <Layout style={{height:'100vh' ,backgroundColor:"white"}}>
      {/* <h1>GIS主界面</h1> */}
      <Routes>
        {gisChildren.map((child) => (
          <Route
            key={child.path}
            path={child.path.substring(1)}
            element={child.element}
          />
        ))}
        <Route path="/*" element={<Navigate to="/admin/gis/screen" />}/>
      </Routes>
      <Menu
        mode="horizontal"
        selectedKeys={[location.pathname.replace('/admin/gis', '')]}
        onClick={(p) => navigate(`/admin/gis${p.key}`)}
        items={gisChildren.map((child) => ({
          key: child.path,
          label: child.label,
        }))}
        style={{
          position: "fixed", // 固定在页面底部
          bottom: 0,
          left: "50%", // 将菜单定位到页面中心
          transform: "translateX(-50%)", // 使菜单居中
          zIndex: 1, // 确保菜单在上方
          display: 'flex', // 使用 flexbox 布局
          justifyContent: 'center', // 水平居中
          alignItems: 'center', // 垂直居中
          lineHeight: '32px', // 确保与菜单高度一致
          // whiteSpace: 'nowrap', // 避免菜单项换行
          border: '1px solid #ccc', // 显示边框
          borderRadius: '4px', // 边框圆角
          padding: '0 8px', // 内边距调整
        }}
      />
    </Layout>
  );
}

export default Gis;
