import React from "react";
import { Navigate, Route, Routes } from "react-router-dom";
import { adminRoutes } from "../../../routers/routers";
import { Layout } from "antd";
import Sider from "antd/es/layout/Sider";
import Sidebar from "../../../components/Sidebar/Sidebar";
import { Content } from "antd/es/layout/layout";

function Service() {
  const getService = adminRoutes.find((route) => route.path === "/service/*");
  const serviceChildren = getService.children;

  return (
    <Layout style={{ minHeight: "100vh"}}>
      <Sidebar items={serviceChildren} basePath={"/admin/service"} />
      <Content
        style={{
          padding: 24,
          margin: 0,
          minHeight: 280,
          background: "#fff",
        }}
      >
        <Routes>
          {serviceChildren.map((route) => (
            <Route key={route.path} path={route.path} element={route.element} />
          ))}
          {/* 这里有个路径问题，不加/是相对路径，加了是绝对 */}
          <Route path="/*" element={<Navigate to={"plantsv"} />} />
        </Routes>

        
      </Content>
    </Layout>
  );
}

export default Service;
